version: '3.7'
services:
  web:
    build: .
    command: sh -c "python manage.py makemigrations && python manage.py migrate && python manage.py runserver 0.0.0.0:3001"

    volumes:
      - ./ecommerce/:/user/Apple/PycharmProjects/ecommerce/
    ports:
      - 3001:3001
    env_file:
      - ./.env.prod

    depends_on:
      - db
  db:
    image: postgres:12
    environment:
      - POSTGRES_USER:khanas
      - POSTGRES_PASSWORD:12369qaz
      - POSTGRES_DB:store_ecommerce
      - POSTGRES_HOST_AUTH_METHOD=trust

    volumes:
      - ./docker/postgresql/data:/var/lib/postgresql/data